# qwik-register
A really cool registration page, I promise <3

## GLAuth installation

```
git clone https://github.com/glauth/glauth.git
cd glauth
make fast
make plugins
```

## GLAuth config

```ini
[ldap]
  enabled = true
  listen = "0.0.0.0:3893"

[ldaps]
  enabled = false
  listen = "0.0.0.0:3894"
  cert = "certs/server.crt"
  key = "certs/server.key"

[backend]
  datastore = "plugin"
  plugin = "sqlite.so"
  pluginhandler = "NewSQLiteHandler"
  baseDN = "dc=glauth,dc=com"
  database = "users.db"

  nameformat = "cn"
  groupformat = "ou"
```

## Pre database setup

```sql
CREATE TABLE users (
        uidnumber INTEGER PRIMARY KEY autoincrement,
        id INTEGER,
        name TEXT NOT NULL,
        primarygroup INTEGER NOT NULL,
        othergroups TEXT DEFAULT '',
        givenname TEXT DEFAULT '',
        sn TEXT DEFAULT '',
        mail TEXT DEFAULT '',
        loginshell TYEXT DEFAULT '',
        homedirectory TEXT DEFAULT '',
        disabled SMALLINT  DEFAULT 0,
        passsha256 TEXT DEFAULT '',
        passbcrypt TEXT DEFAULT '',
        otpsecret TEXT DEFAULT '',
        yubikey TEXT DEFAULT '',
        custattr TEXT DEFAULT '{}');

INSERT INTO groups(name, gidnumber) VALUES('users', 0);
INSERT INTO groups(name, gidnumber) VALUES('admins', 10);
INSERT INTO groups(name, gidnumber) VALUES('root', 100);

INSERT INTO includegroups(parentgroupid, includegroupid) VALUES(10, 0);
```
